Bug 1933944 - Review Request: xfd - Display characters of a font
Summary: Review Request: xfd - Display characters of a font
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1933920
TreeView+ depends on / blocked
 
Reported: 2021-03-02 05:08 UTC by Peter Hutterer
Modified: 2021-03-25 00:16 UTC (History)
2 users (show)

Fixed In Version: xfd-1.1.2-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-04 11:43:09 UTC
Type: ---
Embargoed:
panemade: fedora-review+


Attachments (Terms of Use)

Description Peter Hutterer 2021-03-02 05:08:44 UTC
Spec URL: https://people.freedesktop.org/~whot/xfd/xfd.spec
SRPM URL: https://people.freedesktop.org/~whot/xfd/xfd-1.1.2-1.fc33.src.rpm
Description:
Display all the characters in a font using either the X11 core protocol or
libXft2.
Fedora Account System Username: whot


Note: This utility was previously provided by xorg-x11-apps and is being split
into its own package, see Bug 1933920.

Comment 1 Parag AN(पराग) 2021-03-02 12:40:10 UTC
Not doing full package review here.


Rpmlint
-------
Checking: xfd-1.1.2-1.fc35.x86_64.rpm
          xfd-debuginfo-1.1.2-1.fc35.x86_64.rpm
          xfd-debugsource-1.1.2-1.fc35.x86_64.rpm
          xfd-1.1.2-1.fc35.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xfd-debuginfo-1.1.2-1.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
3 packages and 0 specfiles checked; 0 errors, 0 warnings.



Source checksums
----------------
https://www.x.org/pub/individual/app/xfd-1.1.2.tar.bz2 :
  CHECKSUM(SHA256) this package     : c1a32222fbb891e46f9a82ebab005bc5e54ce006a2586195ec9ea7ab308e2759
  CHECKSUM(SHA256) upstream package : c1a32222fbb891e46f9a82ebab005bc5e54ce006a2586195ec9ea7ab308e2759


Requires
--------
xfd (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libXaw.so.7()(64bit)
    libXft.so.2()(64bit)
    libXmu.so.6()(64bit)
    libXrender.so.1()(64bit)
    libXt.so.6()(64bit)
    libc.so.6()(64bit)
    libfontconfig.so.1()(64bit)
    rtld(GNU_HASH)

xfd-debuginfo (rpmlib, GLIBC filtered):

xfd-debugsource (rpmlib, GLIBC filtered):



Provides
--------
xfd:
    xfd
    xfd(x86-64)

xfd-debuginfo:
    debuginfo(build-id)
    xfd-debuginfo
    xfd-debuginfo(x86-64)

xfd-debugsource:
    xfd-debugsource
    xfd-debugsource(x86-64)


This package looks good to me.

APPROVED.

Comment 2 Tomas Hrcka 2021-03-03 13:20:23 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/xfd

Comment 3 Fedora Update System 2021-03-04 12:23:44 UTC
FEDORA-2021-c32498766f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

Comment 4 Fedora Update System 2021-03-04 16:59:54 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-c32498766f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-03-25 00:16:56 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.